#pragma once
#include "../component.h"
#include <string>

namespace ecs {

class ModelPathComponent : public Component {
public:
    ModelPathComponent() = default;
    explicit ModelPathComponent(const std::wstring& path) : m_path(path) {}
    ~ModelPathComponent() = default;

    void Initialize() override {}
    void Update(float deltaTime) override {}

    /**
     * Get the path of the model.
     * @return The path as a std::wstring.
     */
    const std::wstring& GetPath() const { return m_path; }
    /**
     * Set the path of the model.
     * @param path The path to set as a std::wstring.
     */
    void SetPath(const std::wstring& path) { m_path = path; }

private:
    std::wstring m_path;
};

} // namespace ecs
